package com.lightinit.hsdatashow.controller.topic.water;

import com.lightinit.hsdatashow.model.ResultState;
import com.lightinit.hsdatashow.service.topic.water.IHanQingService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.servlet.ModelAndView;

/**
 * @Author: sunxiang
 * @Date: 2018/12/25 9:23
 * @Description:
 **/
@Controller
@RequestMapping(value="/topic/water/hanqing/")
public class HanQingController {

    @Autowired
    private IHanQingService hanQingService;
    @RequestMapping(value = "index.htm")
    public ModelAndView index(){
        ModelAndView modelAndView = new ModelAndView("topic/water/floodAndDry/hanqing");
        return modelAndView;
    }


    /*
     *@Description 全市上游本月来水总量
     *@Param
     *@Date 2018/12/22
     *@return
     **/
    @RequestMapping(value = "getbenshishangyoubenyuelaishuizongliang.action")
    @ResponseBody
    public ResultState getbenshishangyoubenyuelaishuizongliang(){
        return hanQingService.getbenshishangyoubenyuelaishuizongliang();
    }

    /*
     *@Description 全市下月预计来水总量
     *@Param
     *@Date 2018/12/22
     *@return
     **/
    @RequestMapping(value = "getquanshixiayueyujilaishuizongliang.action")
    @ResponseBody
    public ResultState getquanshixiayueyujilaishuizongliang(){
        return hanQingService.getquanshixiayueyujilaishuizongliang();
    }

     /*
     *@Description 全市下月预测可用总水量
     *@Param
     *@Date 2018/12/22
     *@return
     **/
    @RequestMapping(value = "getquanshixiayueyucekeyongzongshuiliang.action")
    @ResponseBody
    public ResultState getquanshixiayueyucekeyongzongshuiliang(){
        return hanQingService.getquanshixiayueyucekeyongzongshuiliang();
    }

     /*
     *@Description 连续干旱地区排行图
     *@Param
     *@Date 2018/12/22
     *@return
     **/
    @RequestMapping(value = "getlianxuganhantu.action")
    @ResponseBody
    public ResultState getlianxuganhantu(){
        return hanQingService.getlianxuganhantu();
    }


}
